Arbeitszeiten
Manuelle Zeitkorrektur
Replaces all altered events for a given date with new ones.
AuthentifizierungBearer <token>
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Ort: header
Pfadparameter
employee*string
The employee ID
Format
uuidRequest-Body
application/json
TypeScript-Definitionen
TypeScript-Typ für request body.
Response-Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/working_time" \ -H "Content-Type: application/json" \ -d '{ "date": "2019-08-24T14:15:22Z", "reason": "string", "events": [ { "state": "1", "timestamp": "2019-08-24T14:15:22Z" } ] }'{ "data": [ { "id": "string", "employee_id": "string", "date": "string", "state": "string", "type": "string", "timestamp": "string", "reason": "string", "altered_by": "string", "pending": "string", "status": "string", "decided_by": "string", "decided_at": "string", "decision_note": "string", "created_at": "string", "updated_at": "string" } ]}